
#
# Makefile for libklib/arch/ia64
#
# Copyright 2000 Silicon Graphics, Inc. All rights reserved.
#
DEPTH         = ../..
VERSION       = 1.1
EXTRA_CFLAGS  = $(GFLAGS) 

# set up include directory search order
EXTRA_CFLAGS += -I$(DEPTH)/include -I$(DEPTH)/../liballoc \
                -I$(DEPTH)/../libutil -I$(TOPDIR)/include

# Turn on strict protype and error checking
EXTRA_CFLAGS += -Wall -Wstrict-prototypes

TARGETS   = $(DEPTH)/libklib.a
CFILES    = kl_kern.c kl_dump.c kl_page.c
OFILES    = $(CFILES:.c=.o) 

all: default

default: $(TARGETS)

clean:
	/bin/rm -f *.o

clobber: clean

exports install:

$(OFILES): $(HEADERS)

$(TARGETS): $(OFILES)
	ar ccurl $(TARGETS) $(OFILES)

include $(DEPTH)/../Rules.make
